    # File lib/active_record/connection_adapters/abstract/schema_statements.rb, line 304
          def remove_index(table_name, options = {})
            index_name = index_name(table_name, options)
            unless index_exists?(table_name, index_name, true)
              @logger.warn("Index name '#{index_name}' on table '#{table_name}' does not exist. Skipping.")
              return
            end
            remove_index!(table_name, index_name)
          end